## org.biojava.bio.seq
Class FeatureFilter.ByAnnotation

    java.lang.Object
      org.biojava.bio.seq.FeatureFilter.ByAnnotationType
          org.biojava.bio.seq.FeatureFilter.ByAnnotation

All Implemented Interfaces:
  Serializable, FeatureFilter, OptimizableFilter

Enclosing interface:
  FeatureFilter

    public static final class FeatureFilter.ByAnnotation

extends FeatureFilter.ByAnnotationType

Retrieve features that contain a given annotation with a given value.

Since:
  1.1
Author:
  Matthew Pocock, Keith James
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.seq.FeatureFilter

`FeatureFilter.And, FeatureFilter.AnnotationContains, FeatureFilter.ByAncestor, FeatureFilter.ByAnnotation, FeatureFilter.ByAnnotationType, FeatureFilter.ByChild, FeatureFilter.ByClass, FeatureFilter.ByComponentName, FeatureFilter.ByDescendant, FeatureFilter.ByFeature, FeatureFilter.ByPairwiseScore, FeatureFilter.ByParent, FeatureFilter.BySequenceName, FeatureFilter.BySource, FeatureFilter.ByType, FeatureFilter.ContainedByLocation, FeatureFilter.FrameFilter, FeatureFilter.HasAnnotation, FeatureFilter.Not, FeatureFilter.OnlyChildren, FeatureFilter.OnlyDescendants, FeatureFilter.Or, FeatureFilter.OverlapsLocation, FeatureFilter.ShadowContainedByLocation, FeatureFilter.ShadowOverlapsLocation, FeatureFilter.StrandFilter`

Field Summary

Fields inherited from interface org.biojava.bio.seq.FeatureFilter
`all, leaf, none, top_level`

Constructor Summary
`FeatureFilter.ByAnnotation(Object key, Object value)` Make a new ByAnnotation that will accept features with an annotation bundle containing 'value' associated with 'key'.

Method Summary
`Object` `getKey()`
`Object` `getValue()`

Methods inherited from class org.biojava.bio.seq.FeatureFilter.ByAnnotationType
`accept, equals, getType, hashCode, isDisjoint, isProperSubset, setType, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FeatureFilter.ByAnnotation

    public FeatureFilter.ByAnnotation(Object key,
                                      Object value)

  Make a new ByAnnotation that will accept features with an annotation bundle containing 'value' associated with 'key'.

  Parameters:
    `key` - the Object used as a key in the annotation
    `value` - the Object associated with key in the annotation

Method Detail

### getKey

    public Object getKey()

### getValue

    public Object getValue()